Bug 1927993 - Documentation Links in OKD Web Console are not Working [NEEDINFO]
Summary: Documentation Links in OKD Web Console are not Working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1927992 (view as bug list)
Depends On:
Blocks: 1935805
TreeView+ depends on / blocked
 
Reported: 2021-02-12 02:59 UTC by Michael Burke
Modified: 2021-07-27 22:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.okd-2021-01-23-132511 Cluster ID: 6469652c-11b6-4ed3-8d24-dfbf2828df57 Browser: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.141 Safari/537.36
Last Closed: 2021-07-27 22:44:18 UTC
Target Upstream Version:
yapei: needinfo? (jhadvig)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin-branding pull 11 0 None open Bug 1927993: Fix documentation link for OKD 2021-03-04 09:06:19 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:44:35 UTC

Description Michael Burke 2021-02-12 02:59:54 UTC
Description of problem:
Bad links to documentation in web console

Version-Release number of selected component (if applicable):
4.6 (4.6.0-0.okd-2021-01-23-132511)

How reproducible:
Always

Steps to Reproduce:
1. Click ? icon
2. Select Documentation from menu
3. Get Page isn't working
4. Click Administration -> Cluster Settings
5. Click Channel
6. Click Learn more about OpenShift update channels
7. Get Page isn't working

Actual results:
The https://docs.okd.io/latest/04.html page opens with "This page isn’t working" message. 

http://docs.okd.io/latest/04.html#understanding-upgrade-channels_updating-cluster-between-minor page opens with "This page isn’t working" message. 

Expected results:
The OKD documentation is launched.

Additional info:
Could be a bad link. The OKD docs are at https://docs.okd.io/latest/welcome/index.html
https://docs.okd.io/latest/updating/updating-cluster-between-minor.html#understanding-upgrade-channels_updating-cluster-between-minor

I'm not sure if there are other doc links in the console

Comment 1 Samuel Padgett 2021-02-12 14:52:15 UTC
*** Bug 1927992 has been marked as a duplicate of this bug. ***

Comment 4 Yadan Pei 2021-03-08 07:04:05 UTC
Hi Jakub,

Looking at the code changes, the fixes goes to openshift/origin-branding repo, how can I verify a change in this repo?

Comment 5 Vadim Rutkovsky 2021-03-08 09:24:18 UTC
(In reply to Yadan Pei from comment #4)
> Hi Jakub,
> 
> Looking at the code changes, the fixes goes to openshift/origin-branding
> repo, how can I verify a change in this repo?

The change should be rendered in OKD 4.8 nightlies - https://amd64.origin.releases.ci.openshift.org/#4.8.0-0.okd

Comment 6 Yadan Pei 2021-03-08 11:00:45 UTC
Launch 4.8.0-0.okd-2021-03-07-094455 OKD cluster, ? -> Documentation points to https://docs.okd.io/latest/welcome/index.html

Administration -> Cluster Settings -> channels -> 'Learn more about OpenShift update channels' points to https://docs.okd.io/latest/updating/updating-cluster-between-minor.html#understanding-upgrade-channels_updating-cluster-between-minor


Verified on 4.8.0-0.okd-2021-03-07-094455

Comment 9 errata-xmlrpc 2021-07-27 22:44:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.